## Créé le 22/6/2020 ##

######################################################
#  ___         __    __  ___         __   ___  ____  #
#  |__| |  |  /  \  /    |__| |  |  /  \  |__| |     #
#  |    |--| |    | ---- |    |--| |    | |\   |--   #
#  |    |  |  \__/  ___/ |    |  |  \__/  | \  |___  #
#                                                    #
######################################################

# Répertoire racine du script
set rpr [file dirname [info script]]
# Répertoire racine de l'exécutable
#set rpr [file dirname [file normalize [info nameofexecutable]]]


source "$rpr/fonctions_interface.tcl"
source "$rpr/C/Images.tcl"
source "$rpr/C/Splash.tcl"
source "$rpr/C/INTERFACE_entites.tcl"
source "$rpr/C.tcl"
source "$rpr/C/SQL_gen.tcl"
source "$rpr/C/XML.tcl"
source "$rpr/C/sauvegarde_charge.tcl"
source "$rpr/C/entites.tcl"
source "$rpr/C/Configurations.tcl"
source "$rpr/C/verification_mcd.tcl"
source "$rpr/C/Interface.tcl"
source "$rpr/C/SQL.tcl"
source "$rpr/C/Relations.tcl"
source "$rpr/C/Tables.tcl"
source "$rpr/C/Sauvegarde.tcl"
source "$rpr/C/Charge.tcl"
source "$rpr/C/MCD.tcl"

# Tk
puts -nonewline "Chargement de Tk"
if {[catch {package require Tk}]} {
    puts " # TK obligatoire pour ce programme!"
    exit
} else {
    puts " # OK!"
}

Katyusha_Images

# Splash
set CONFIGS(RESOLUTION) "auto"
Katyusha_Splash $rpr

puts "Initialisation........"

# Configurations
puts "Chargement des configurations"
set rep_configs "~/.phosphore/katyusha_mcd"
Katyusha_Configurations_init

array set CONFIG {}
array set MCD {}
Katyusha_Configurations_charge $rpr $rep_configs

# Répertoire par défaut des projets Katyusha MCD
set rep_mcd "~/Katyusha_projets"
set id_projet -1

Katyusha_MCD_init

set version 0.0.4
set splash [lindex [list "Катюша!" "Katyusha!" "کاتیوشا" "Катюша!"] [expr int((rand() * 4) + 1) - 1]]
set sgbd 0
# Fichier dans lequel toutes les sauvegardes simples se feronts
set fichier_sauvegarde ""
# Action du bouton Gauche de la souris
set ACTION_B1 "null"


# Initialisation de la traduction
puts -nonewline "Chargement de la langue locale"
source "$rpr/locale/$CONFIGS(LANG).tcl"


Katyusha_Configurations_packages

puts "v$version"

puts "OK!"

after 1000

Katyusha_Interface
source "$rpr/C/bind.tcl"
